Subject: Re: bug#62762: 'make' often errors with "Org version mismatch" after pulling a new version of the code

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Jun 2023 15:12:46 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> Date: Tue, 27 Jun 2023 12:08:37 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Installing is not the concern. My concern is introducing major changes
> >> right ahead for the release. My question was aimed at the Emacs devs
> >> here.
> >
> > I was not aware that this discussion is pertinent to the release
> > branch.  Is it?  I thought any changes in this matter are for master.
> 
> This is aiming for Org's bugfix branch (as a critical fix).
> AFAIK, Org bugfix releases were going into release branch.
> 
> At the same time, this change is not aiming at Org distributed within
> Emacs tree. The whole issue is with ELPA version of Org.

The above two paragraphs contradict each other, AFAIU.  If a change is
installed on the release branch of the Emacs Git repository, it will
be included in the release tarball, and thus in the Emacs source tree.

OTOH, if this is not about the Emacs Git repository, then why did you
say you were asking Emacs developers these questions?

I guess I'm missing something here.

> In any case, if Emacs release is coming really soon, I can just hold on
> until Emacs is released.

As long as this code will be in Emacs on the master branch, you don't
need to wait for the release (which is done from the release branch).